EverestTwitchEmotes = {
	["EmotesPath"] = "Interface\\AddOns\\EverestTwitchEmotes\\Emotes\\"
};

function EverestTwitchEmotes:Initialize()
	-- Define our emotes
	local emotes = {
		["didiQueen"] = {
			["Name"] = "didiQueen",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiQueen.tga:64:64"
		},
		["pazuzaW"] = {
			["Name"] = "pazuzaW",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\pazuzaW.tga:28:28"
		},
		["borkikek"] = {
			["Name"] = "borkikek",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\borkikek.tga:64:64"
		},
		["noglaives"] = {
			["Name"] = "noglaives",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\noglaives.tga:28:28"
		},
		["caipyMommy"] = {
			["Name"] = "caipyMommy",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\caipyMommy.tga:128:64"
		},
		["DidiBee"] = {
			["Name"] = "DidiBee",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiBee.tga:64:64"
		},
		["cubeW"] = {
			["Name"] = "cubeW",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\cubeW.tga:64:64"
		},
		["didiW"] = {
			["Name"] = "didiW",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiW.tga:28:28"
		},
		["didiTOS"] = {
			["Name"] = "didiTOS",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiTOS.tga:64:64"
		},
		["bitchpls"] = {
			["Name"] = "bitchpls",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\bplease.tga:64:64"
		},
		["monkaSteer"] = {
			["Name"] = "monkaSteer",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\monkaSteer.tga:64:64"
		},
		["didititty"] = {
			["Name"] = "didititty",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didititty.tga:28:28"
 		},
		["didiNo"] = {
			["Name"] = "didiNo",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiNo.tga:64:64"
 		},
		["bitchlips"] = {
			["Name"] = "bitchlips",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\lips.tga:28:28"
		},
		["beeech"] = {
			["Name"] = "beeech",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\beeech.tga:64:64"
		},
		["hopium"] = {
			["Name"] = "hopium",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\hopium.tga:64:64"
		},
		["nobracers"] = {
			["Name"] = "nobracers",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\praygenobracers.tga:64:64"
		},
		["didiWeed"] = {
			["Name"] = "didiWeed",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\didiWeed.tga:64:64"
		},
		["ezkek"] = {
			["Name"] = "ezkek",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\ezkek.tga:64:64"		
		},
		["omgqueen"] = {
			["Name"] = "omgqueen",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\omgqueen.tga:64:64"
		},
		["peepomg"] = {
			["Name"] = "peepomg",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\peepomg.tga:64:64"
		},
		["gogod"] = {
			["Name"] = "gogod",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\gogod.tga:64:64"
		},
		["caipySlut"] = {
			["Name"] = "caipySlut",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\caipySlut.tga:64:64"
		},
		["RNGrandy"] = {
			["Name"] = "RNGrandy",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\rngrandy.tga:64:64"
		},
		["sneed"] = {
			["Name"] = "sneed",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\sneed.tga:64:64"
		},
		["peepoPumpkin"] = {
			["Name"] = "peepoPumpkin",
			["Path"] = EverestTwitchEmotes.EmotesPath .. "Everest\\peepoPumpkin.tga:64:64"
		}
	};

	-- Keep a list of emote IDs (for use when adding the category)
	local emoteIDs = {};

	for id, emoteInfo in pairs(emotes) do
		-- Keep track of the emote ID we're adding
		table.insert(emoteIDs, id);

		-- Add the emote
		TwitchEmotes:AddEmote(id, emoteInfo.Name, emoteInfo.Path);
	end

	-- Add the category
	TwitchEmotes:AddCategory("Everest", emoteIDs);
end

local frame = CreateFrame("Frame", "EverestTwitchEmotesFrame");

frame:RegisterEvent("ADDON_LOADED");

frame:SetScript(
	"OnEvent",
	function(frame, event, ...)
		if(event == "ADDON_LOADED") then
			local addonName = ...;

			-- If the addon is loading, initialize everything
			if(addonName == "EverestTwitchEmotes") then
				EverestTwitchEmotes:Initialize();
			end
		end
	end
);
